### Constructor

# GioUnix OutputStream new

#### Declaration

    GOutputStream*
    g_unix_output_stream_new (
      gint fd,
      gboolean close_fd
    )

#### Description

Creates a new `GUnixOutputStream` for the given `fd`.

If `close_fd`, is `TRUE`, the file descriptor will be closed when the output stream is destroyed.

#### Parameters

`fd`

  Type: `gint`

  A UNIX file descriptor.

`close_fd`

  Type: `gboolean`

  `TRUE` to close the file descriptor when done.

#### Return value

Type: `GOutputStream`

A new `GOutputStream`.

The caller of the function takes ownership of the data, and is responsible for freeing it.